> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Message > Get a single chat message. You must have permission to access the room where the message resides. ### Changelog | Version | Description | | ------------ | ------------| | 0.47.0 | Added | ## OpenAPI ````json GET /api/v1/chat.getMessage { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.getMessage": { "get": { "tags": [ "Chat" ], "summary": "Get Message", "description": "Get a single chat message. You must have permission to access the room where the message resides.\n\n### Changelog\n| Version | Description | \n| ------------ | ------------|\n| 0.47.0 | Added |", "operationId": "get-api-v1-chat.getMessage", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "msgId", "in": "query", "description": "The message ID.", "required": "true", "schema": { "type": "string" }, "example": "7aDSXtjMA3KPLxLjt" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "alias": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "reactions": { "type": "object", "properties": { ":frowning2:": { "type": "object", "properties": { "usernames": { "type": "array", "items": { "type": "string" } } } } } }, "mentions": { "type": "array", "items": { "type": "object" } }, "channels": { "type": "array", "items": { "type": "object" } }, "starred": { "type": "object", "properties": { "_id": { "type": "string" } } }, "t": { "type": "string" }, "groupable": { "type": "boolean" } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "message": { "_id": "CeXwh5eBbdrtvnqG6", "rid": "agh2Sucgb54RQ8dDo", "msg": "s", "ts": "2018-10-05T13:48:21.616Z", "u": { "_id": "KPkEYwKKBKZnEEPpt", "username": "marc.pow", "name": "Marc Pow" }, "_updatedAt": "2018-10-05T13:48:49.535Z", "reactions": { ":frowning2:": { "usernames": [ "marcos.defendi" ] } }, "mentions": [], "channels": [], "starred": { "_id": "KPkEYwKKBKZnEEPpt" } }, "count": "2", "offset": "0", "total": "2", "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "The \"msgId\" query parameter must be provided." } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````